@echo off
setlocal

REM Definiere den Pfad zur Zertifikatdatei
set "certfile=%TEMP%\stammzertifikat.crt"

REM Schreibe das Zertifikat in die Datei
(
echo -----BEGIN CERTIFICATE-----
echo MIIGHTCCBAWgAwIBAgIULOvr9lAn00dEd+GjJFErUiAghSkwDQYJKoZIhvcNAQEL
echo BQAwgZ0xCzAJBgNVBAYTAkNIMRAwDgYDVQQIDAdMdWNlcm5lMQ8wDQYDVQQHDAZF
echo Ymlrb24xFjAUBgNVBAoMDVNjaHVsZSBFYmlrb24xHzAdBgNVBAMMFlNjaHVsZSBF
echo Ymlrb24gUHJveHkgQ0ExMjAwBgkqhkiG9w0BCQEWI2ljdC5hZG1pbmlzdHJhdGlv
echo bkBzY2h1bGUtZWJpa29uLmNoMB4XDTI0MDUyMTA3MTY1NVoXDTI1MDUyMTA3MTY1
echo NVowgZ0xCzAJBgNVBAYTAkNIMRAwDgYDVQQIDAdMdWNlcm5lMQ8wDQYDVQQHDAZF
echo Ymlrb24xFjAUBgNVBAoMDVNjaHVsZSBFYmlrb24xHzAdBgNVBAMMFlNjaHVsZSBF
echo Ymlrb24gUHJveHkgQ0ExMjAwBgkqhkiG9w0BCQEWI2ljdC5hZG1pbmlzdHJhdGlv
echo bkBzY2h1bGUtZWJpa29uLmNoMIICIjANBgkqhkiG9w0BAQEFAAOCAg8AMIICCgKC
echo AgEA64HTlqJSlwUfJTaA/Y00cRHmlRhl+9Igf3JCapuDvsgZ+QYoYSER9+JVjJLB
echo y4EiIb/uXgnhOpDR95nrxD5dKtisEP9fD0T3GEk8xGhliwPywjynF3qcs8WL+GhL
echo dQ2ZTTj3DIEgcEe0T3eKjG2HEkinWoC7duLCJhyfhlsDL6OSDJL9Pd/Nd/RqRQNs
echo oRl2A7C08N4U+yu0WMW1GhgbVpXD2pLg6q3h21nc8x2dvQ/HwWm+qYOGCCMg0vLn
echo SuPkMriatkUo80Slydx6myzsXoFBxLfhDId4le0uYeIRGEmnR2SU4zreR3UmRRT1
echo ayzHzSYqzjMAdgH439EhBQHvgCiom+5aAq/N+4WZ6Nd04K8gQQ7h0xHn37xD2+kT
echo Wx7G8sF0mx1lbFW5OvggR2zyQIFRVqoT18N3djG6V8YKT5+zqRfa0bn04GpQ7Z34
echo S5e09de/IY1alw4G4Y12OiGfgxLd4iek9wp/Frju7voOC4GJceDWkci4S56ZpX8x
echo 4t7+l2YyTmgsUwBz+6c0xXDNAjfsQWn2VFD3mYK9/EuQ1elsrUrv1tmpe4RItEf0
echo U5fN2q3sR/O9MadbKN7SVmvEhXeYC+AtdtlbcZVyFpPvd6dHKV7v+Tq7tHmSvskZ
echo SE9vx5/aDtpw0ptJdl32TJYRAcddSKj2sbV/wglV6b2wuU0CAwEAAaNTMFEwHQYD
echo VR0OBBYEFOXU5kD1K+NTkxfjceFBgN3SoREwMB8GA1UdIwQYMBaAFOXU5kD1K+NT
echo kxfjceFBgN3SoREwMA8GA1UdEwEB/wQFMAMBAf8wDQYJKoZIhvcNAQELBQADggIB
echo AHiU90MR52ggP5i45Z7z3k13GbYgrbPJLCdlkncdEuCRQp7JXvJsJpvAfFLqPvg1
echo fDg9ZrMT/H0FhODOL0Cs5clmdqD2V2ACwNWv2LMPqn+sYNEYIeUV9wJKXtflVgTX
echo huiV5HT0mCebWWznK7jk5WHyF9rcdj29v+c8OKxlxcgGsZJz2H4tX7PsT+4zbM8Q
echo cLHKHe6V9z91HdDMWTXb2gs0+EpIlezCqx6IWE+gPBOFUBLAJ25JlhoFQoEuDx1W
echo vOy1wJcSMrlD5eOKykAI7pYupX1jXhBy1uefN7fiTXUcHV4wxR8SCN8FmMVuwbEM
echo u6AkNcpMzr/cO8yVw2n9oTiypIR2zNvx135/0XvGgEymAZdV5c/eKFJPvthlchJR
echo deFhMisErxM3DzDyHc7kq24ctBpPaPkZDhYEgPz+NqFXZl+wXB9KKYXd+9kja0D0
echo ueiDmDc006oFeKDNU7ULcrepyWeTteWQHJGCwXDdYefN54v1L4/J60jwnK4h12mW
echo 4hkoPN7oDa9UmkvX3ilvffasPU5P6N9yOt9n8pCeXHf27G0gL14Wmar1e4KUV++Y
echo IXBE2wnZ4PXt/UhqeHOv8XLA/fWYojwmFcFzBQ1+1kFXXWpp2cQVcSf9UoafGWNI
echo /qLpVyHGZsgRtTYkvtE0mqUs50Qp87HFLYfOqV0lRAek
echo -----END CERTIFICATE-----
) > "%certfile%"

REM Installiere das Zertifikat als Stammzertifikat
certutil -addstore -f "Root" "%certfile%"

REM Bereinige die temporäre Datei
del "%certfile%"

echo Das Zertifikat wurde erfolgreich als Stammzertifikat installiert.
msg * "Das Zertifikat wurde erfolgreich als Stammzertifikat installiert."

endlocal

